Bug 533887

Summary: Review Request: raw-thumbnailer - thumbnailer for raw images on gnome
Product: [Fedora] Fedora Reporter: Victor Bogado <bogado>
Component: Package ReviewAssignee: Mohamed El Morabity <pikachu.2014>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: belegdol, fedora-package-review
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: pikachu.2014: fedora-review+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-25 13:59:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Victor Bogado 2009-11-09 16:30:22 UTC
Spec URL: http://static.bogado.net/rpm/raw-thumbnailer.spec
SRPM URL: http://static.bogado.net/rpm/raw-thumbnailer-0.99.1-1.bog12.src.rpm
Description: Nautilus file manager thumbnailer for RAW images

Comment 1 Victor Bogado 2009-11-09 17:18:42 UTC
There was some missing build-requires, I fix them : 

Spec URL: http://static.bogado.net/rpm/raw-thumbnailer.spec
SRPM URL: http://static.bogado.net/rpm/raw-thumbnailer-0.99.1-2.bog12.src.rpm

Comment 2 Mohamed El Morabity 2009-12-29 17:21:05 UTC
Hi,

I'm not (yet) a packager, anyway I'd like to make an informal review of your
package. Moreover I'd like to see it in the repos :-)

* Since your package install GConf files, you must refer to the following rules:
     http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf
  Don't forget to add pre/post-installation actions as described, and also the "--disable-schemas-install" option in %configure, in your %build section.

* The package also install XML mime files, you must refer to:
     http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#mimeinfo
  and correct your .spec according to this.

* A little detail: in your changelog, all your entries must be sorted from the most recent to the oldest ;)

Comment 3 Mohamed El Morabity 2010-01-26 07:58:45 UTC
ping?

Comment 4 Victor Bogado 2010-01-26 17:18:16 UTC
Ops, I am looking into it, I believe that I even made the specs and rpms fixing those issues. But since I am having some problems with time I didn't uploaded them yet, sorry.

Comment 5 Victor Bogado 2010-01-27 16:31:11 UTC
There, the links with the changes appointed by ALMORABITY Mohamed : 

Spec URL: http://static.bogado.net/rpm/raw-thumbnailer.spec
SRPM URL: http://static.bogado.net/rpm/raw-thumbnailer-0.99.1-3.bog12.src.rpm

Comment 6 Mohamed El Morabity 2010-01-29 04:28:26 UTC
Looks better :-). I will review your package (I'm now sponsored ^^).

rpmlint is silent, and mock builds fine the package for F11, F12 and rawhide.

Some (little) remarks and changes I suggest you:

* according to the comments in the source code, the License tag should be « GPLv2+ »;

* your BuildRequires seem all OK (no useless BR nor missing one according to configure.ac in the sources, mock builds fine your package); anyway you should replace « perl-XML-Parser » by « perl(XML::Parser) », as recommanded for Perl modules called as Requires/BuildRequires.

* I suggested in my comment #2 to add the option « --disable-schemas-install » in your %configure. Thanks to this option, you'll don't need the line « export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 » in your %install section. Upstream developers handle correctly this option (see in sources data/Makefile.am), let's use it to honor them ;)

* the scriptlets are now OK for the GConf files installation. Anyway you should leave the « %{name}.schemas » template in the scriptlets: replace all the occurences of « %{_sysconfdir}/gconf/schemas/raw-thumbnailer.schemas » with « %{_sysconfdir}/gconf/schemas/%{name}.schemas » (dont forget also in %files). This is a good practice to use macros wherever it's possible to make easier the maintenance.

* GConf files should not have the « %config(noreplace) » tag in %files, « %config » is enough (whatever rpmlint says, it's a false positive for GConf files ;-) )

* there's a README file in the sources, but it is empty, so it's OK not to add it in %doc :)
Although it's a very little detail, maybe upstream should do something for this file (fill it or remove it from sources ^^).

Comment 7 Mohamed El Morabity 2010-02-07 23:03:16 UTC
Ping?

Comment 8 Victor Bogado 2010-02-08 12:55:55 UTC
Made the changes, I did not yet tested them, since I don't have full access to my fedora machine right now (just a ssh connection) but it did compiled well, and passed the rpmlint test (with the exception of the false positive you noted above).

Spec URL: http://static.bogado.net/rpm/raw-thumbnailer.spec
SRPM URL: http://static.bogado.net/rpm/raw-thumbnailer-0.99.1-4.bog12.src.rpm

Comment 9 Mohamed El Morabity 2010-02-15 21:00:14 UTC
It looks very nice :-)
Two few modifications and I will approve your package:
* don't forget to correct the License tag, as said above: GPLv2+ instead of GPLv2,
* finally the GConf schema files don't need to be tagged as %config files, according to some recent reviews. So you should even remove the %config tag in the line:
   %config %{_sysconfdir}/gconf/schemas/%{name}.schemas

Comment 10 Victor Bogado 2010-02-22 14:01:38 UTC
This change does changes the warning on the rpmlint exit, but I will take your advice on comment #6 and ignore it. The update rpms are linked below :

Spec URL: http://static.bogado.net/rpm/raw-thumbnailer.spec
SRPM URL: http://static.bogado.net/rpm/raw-thumbnailer-0.99.1-5.bog12.src.rpm

Comment 11 Mohamed El Morabity 2010-02-26 00:05:39 UTC
* MUST: rpmlint must be run on every package. The output should be posted in
the review.
  OK
* MUST: The package must be named according to the Package Naming Guidelines .
  OK
* MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
  OK
* MUST: The package must meet the Packaging Guidelines
  OK
* MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines
  OK (GPLv2 or more)
* MUST: The License field in the package spec file must match the actual
license.
  OK (source code checked)
* MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
  OK
* MUST: The spec file must be written in American English.
  OK
* MUST: The spec file for the package MUST be legible.
  OK
* MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
  OK (RPM source archive has the same MD5 sum than the one downloaded: 8b166320b17fa906bf0503ed3b6ba226)
* MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
  OK (tested on koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2014878 and http://koji.fedoraproject.org/koji/taskinfo?taskID=2014869)
* MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.
  N/A
* MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines;
inclusion of those as BuildRequires is optional. Apply common sense.
  OK
* MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
  N/A
* MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.
  N/A
* MUST: Packages must NOT bundle copies of system libraries.
  OK
* MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
  N/A
* MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
  OK
* MUST: A Fedora package must not list a file more than once in the spec file's
%files listings.
  OK
* MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
  OK
* MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
  OK
* MUST: Each package must consistently use macros.
  OK
* MUST: The package must contain code, or permissable content.
  OK
* MUST: Large documentation files must go in a -doc subpackage. (The definition
of large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity).
  N/A
* MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
  OK
* MUST: Header files must be in a -devel package.
  N/A
* MUST: Static libraries must be in a -static package.
  N/A
* MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
  N/A
* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.
  N/A
* MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
  N/A
* MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.
  OK
* MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation.
  N/A
* MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.
  OK
* MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
  OK
* MUST: All filenames in rpm packages must be valid UTF-8.
  OK

This package is APPROVED!

Comment 12 Victor Bogado 2010-03-01 15:01:31 UTC
New Package CVS Request
=======================
Package Name: raw-thumbnailer
Short Description: IDE for MCS-51 based microcontrollers
Owners: bogado
Branches: F-11 F-12 EL-5

Comment 13 Victor Bogado 2010-03-01 15:02:34 UTC
New Package CVS Request
=======================
Package Name: raw-thumbnailer
Short Description: Nautilus file manager thumbnailer for RAW images
Owners: bogado
Branches: F-11 F-12 EL-5

Comment 14 Victor Bogado 2010-03-01 15:03:04 UTC
Sorry about the duplication above.

Comment 15 Jason Tibbitts 2010-03-01 16:54:16 UTC
CVS done (by process-cvs-requests.py).

I added an F-13 branch since that seems to have been left out.

Comment 16 Julian Sikorski 2012-10-29 17:49:53 UTC
Package Change Request
======================
Package Name: raw-thumbnailer
Branches: f18 f17
New owners: belegdol

Comment 17 Gwyn Ciesla 2012-10-29 18:14:18 UTC
NOTE: Misformatted request; using 'Branches' instead.
WARNING: new branch owner not owner of other branches.
WARNING: No new branches requested. 

SCM request not needed, will be taken care of by FESCO in the course of the
trac request.